<div class="d-flex flex-column col-sm-12 col-md-6">
   <!-- User Name Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        {!! Form::label('appointment_user_id', trans("lang.appointment_appointment_user_id"),['class' => 'col-md-3 control-label text-md-right mx-1']) !!}
        <div class="col-md-9">
            {!! Form::select('user_id', $user, null, ['class' => 'select2 form-control']) !!}
            <div class="form-text text-muted">{{ trans("lang.appointment_appointment_user_id_help") }}</div>
            
        </div>
    </div>

    <!-- Patient Name Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        {!! Form::label('appointment_patient_id', trans("lang.appointment_appointment_patient_id"),['class' => 'col-md-3 control-label text-md-right mx-1']) !!}
        <div class="col-md-9">
            {!! Form::select('patient_id', $patient,null, ['class' => 'select2 form-control']) !!}
            <div class="form-text text-muted">{{ trans("lang.appointment_appointment_patient_id_help") }}</div>
        </div>
    </div>

    <!-- Doctor Name Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        {!! Form::label('doctor_id', trans("lang.appointment_appointment_doctor_id"),['class' => 'col-md-3 control-label text-md-right mx-1']) !!}
        <div class="col-md-9">
            {!! Form::select('doctor_id', $doctor, null, ['class' => 'select2 form-control']) !!}
            <div class="form-text text-muted">{{ trans("lang.appointment_appointment_doctor_id_help") }}</div>
        </div>
    </div>
    <!-- Appointment Status Id Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        {!! Form::label('appointment_status_id', trans("lang.appointment_appointment_status_id"),['class' => 'col-md-3 control-label text-md-right mx-1']) !!}
        <div class="col-md-9">
            {!! Form::select('appointment_status_id', $appointmentStatus, null, ['class' => 'select2 form-control']) !!}
            <div class="form-text text-muted">{{ trans("lang.appointment_appointment_status_id_help") }}</div>
        </div>
    </div>

    <!-- Address Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        {!! Form::label('address_id', trans("lang.appointment_address"),['class' => 'col-md-3 control-label text-md-right mx-1']) !!}
        <div class="col-md-9">
            {!! Form::select('address_id', $addresses, null, ['class' => 'select2 form-control']) !!}
            <div class="form-text text-muted">{{ trans("lang.appointment_address_help") }}</div>
        </div>
    </div>

    <!-- Payment Status Id Field -->
    @if(!empty($paymentStatuses))
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        {!! Form::label('payment_status_id', trans("lang.appointment_payment_id"),['class' => 'col-md-3 control-label text-md-right mx-1']) !!}
        <div class="col-md-9">
            {!! Form::select('payment_status_id', $paymentStatuses, null, ['class' => 'select2 form-control']) !!}
            <div class="form-text text-muted">{{ trans("lang.appointment_payment_id_help") }}</div>
        </div>
    </div>
    @endif

    <!-- Hint Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        {!! Form::label('hint', trans("lang.appointment_hint"), ['class' => 'col-md-3 control-label text-md-right mx-1']) !!}
        <div class="col-md-9">
            {!! Form::textarea('hint', null, ['class' => 'form-control','placeholder'=>
            trans("lang.appointment_hint_placeholder") ]) !!}
            <div class="form-text text-muted">{{ trans("lang.appointment_hint_help") }}</div>
        </div>
    </div>

</div>
<div class="d-flex flex-column col-sm-12 col-md-6">

    <!-- Appointment At Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        {!! Form::label('appointment_at', trans("lang.appointment_appointment_at"), ['class' => 'col-md-3 control-label text-md-right mx-1']) !!}
        <div class="col-md-9">
            {!! Form::input('datetime-local', 'appointment_at', null, ['class' => 'form-control', 'placeholder' => trans("lang.appointment_appointment_at_placeholder")]) !!}
            <div class="form-text text-muted">
                {{ trans("lang.appointment_appointment_at_help") }}
            </div>
        </div>
    </div>

    <!-- Start At Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        {!! Form::label('start_at', trans("lang.appointment_start_at"), ['class' => 'col-md-3 control-label text-md-right mx-1']) !!}
        <div class="col-md-9">
            {!! Form::input('datetime-local', 'start_at', null, ['class' => 'form-control', 'placeholder' => trans("lang.appointment_start_at_placeholder")]) !!}
            <div class="form-text text-muted">
                {{ trans("lang.appointment_start_at_help") }}
            </div>
        </div>
    </div>

    <!-- Ends At Field -->
    <div class="form-group align-items-baseline d-flex flex-column flex-md-row">
        {!! Form::label('ends_at', trans("lang.appointment_ends_at"), ['class' => 'col-md-3 control-label text-md-right mx-1']) !!}
        <div class="col-md-9">
            {!! Form::input('datetime-local', 'ends_at', null, ['class' => 'form-control', 'placeholder' => trans("lang.appointment_ends_at_placeholder")]) !!}
            <div class="form-text text-muted">
                {{ trans("lang.appointment_ends_at_help") }}
            </div>
        </div>
    </div>

</div>

<!-- Submit Field -->
<div class="form-group col-12 d-flex flex-column flex-md-row justify-content-md-end justify-content-sm-center border-top pt-4">
    <div class="d-flex flex-row justify-content-between align-items-center">
        {!! Form::label('cancel', trans("lang.appointment_cancel"),['class' => 'control-label my-0 mx-3']) !!} {!! Form::hidden('cancel', 0, ['id'=>"hidden_cancel"]) !!}
        <span class="icheck-{{setting('theme_color')}}">
            {!! Form::checkbox('cancel', 1, null) !!} <label for="cancel"></label> </span>
    </div>

    <button type="submit" class="btn bg-{{setting('theme_color')}} mx-md-3 my-lg-0 my-xl-0 my-md-0 my-2">
        <i class="fas fa-save"></i> {{trans('lang.save')}} {{trans('lang.appointment')}}</button>
    <a href="{!! route('appointments.index') !!}" class="btn btn-default"><i class="fas fa-undo"></i> {{trans('lang.cancel')}}</a>
</div>

<script>
document.addEventListener('DOMContentLoaded', function() {
    const userSelect = $('select[name="user_id"]');
    const patientSelect = $('select[name="patient_id"]');

    // Function to load patients based on selected user
    function loadPatients(userId) {
        const url = '{{ url("/appointments/user") }}' + '/' + userId + '/patients';
        $.ajax({
            url: url,
            type: 'GET',
            dataType: 'json',
            success: function(patients) {
                patientSelect.empty();
                if (patients.length > 0) {
                    $.each(patients, function(index, patient) {
                        patientSelect.append(new Option(patient.name, patient.id, patient.id == patientSelect.data('selected-id')));
                    });
                } else {
                    patientSelect.append(new Option('No patients found', ''));
                }
            },
            error: function(xhr, status, error) {
                console.error('Error loading the patients:', error);
                patientSelect.empty(); // Clear and add a default 'error' option
                patientSelect.append(new Option('Error loading patients', ''));
            }
        });
    }

    // Attach change event handler to user select dropdown
    userSelect.change(function() {
        loadPatients($(this).val());
    });

    // Trigger the change event manually to load patients when the page loads
    // This is useful for edit forms where the user is already selected
    if (userSelect.val() !== null) {
        loadPatients(userSelect.val());
    }
});


</script>