@extends('layouts.app')

@section('content')
<div class="container-fluid">
    <!-- Content Header -->
    <div class="d-flex justify-content-between align-items-center mb-4">
        <h1 class="h2 text-bold">{{ trans('lang.speciality_plural') }}</h1>
        <ol class="breadcrumb bg-transparent small">
            <li class="breadcrumb-item"><a href="{{ url('/') }}"><i class="fas fa-tachometer-alt"></i> {{ trans('lang.dashboard') }}</a></li>
            <li class="breadcrumb-item active"><a href="{{ route('specialities.index') }}">{{ trans('lang.speciality_plural') }}</a></li>
        </ol>
    </div>

    <!-- Main content -->
    <div class="card shadow-sm">
        <div class="card-header bg-white">
            <ul class="nav nav-tabs card-header-tabs">
                <li class="nav-item">
                    <a class="nav-link" href="{{ route('specialities.index') }}"><i class="fa fa-list mr-2"></i>{{ trans('lang.speciality_table') }}</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link active" href="{{ route('specialities.create') }}"><i class="fa fa-plus mr-2"></i>{{ trans('lang.speciality_create') }}</a>
                </li>
            </ul>
        </div>
        <div class="card-body">
            @include('specialities.show_fields')
            <div class="d-flex justify-content-end mt-4">
                <a href="{{ route('specialities.index') }}" class="btn btn-light"><i class="fa fa-arrow-left"></i> {{ trans('lang.back') }}</a>
            </div>
        </div>
    </div>
</div>
@endsection
